Name:           ifstatus
Version:        1.1.0
Release:        6%{?dist}
Summary:        Command line real time interface graphs using ncurses

Group:          Applications/Internet
License:        GPLv2+
URL:            http://ifstatus.sourceforge.net/
Source0:        http://ifstatus.sourceforge.net/download/%{name}-v%{version}.tar.gz
Patch0:         ifstatus-1.1.0-gcc44.patch
Patch1:         ifstatus-1.1.0-fedora.patch

BuildRoot:      %{_tmppath}/%{name}-v%{version}-%{release}-buildroot

BuildRequires:  ncurses-devel

%description
IFStatus was developed for Linux users that are usually in console mode. 
It is a simple, easy to use program for displaying commonly needed / wanted 
statistics in real time about ingoing and outgoing traffic of multiple 
network interfaces that is usually hard to find, with a simple and 
effecient view. It is the substitute for PPPStatus and EthStatus projects. 

%prep
%setup -q -n %{name}
%patch0 -p1 -b .gcc44
%patch1 -p1 -b .fedora

%build
# The Makefile of the upstream project is non-automake and can't handle 
# the %{?smp_mflags}
make CXXFLAGS="%{optflags}" CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTDIR=%{_sbindir} INSTALL_PARMS="-m 0755"

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_sbindir}/%{name}

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 22 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.1.0-5
- Added CXXFLAGS and CXFLAGS to resolve debuginfo sources issue

* Tue Apr 14 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.1.0-4
- Typo in the Summary field.

* Mon Apr 13 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.1.0-3
- Fixed rpm group tag to match similar utilities
- Fixed build for gcc44

* Mon Apr 13 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.1.0-2
- Fixed rpm Group tag

* Mon Apr 13 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.1.0-1
- First build of ifstatus
